#### D.12.8.12 sturmha

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  sturmha(p,a,b); poly p, number a,b

Return:
  int: the number of real roots of p in (a,b) (using a Sturm-Habicht sequence)

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    sturmha(p,-3,6);
    ==> 3
    p = p*(x2+1);
    sturmha(p,-3,6);
    ==> 3

See also: allreal; sturm.

User manual for Singular version 4-0-3, 2016, generated by texi2html.